| Home · API Reference · Modules

Public Member Functions | List of all members
Maliit::AbstractPlatform Class Referenceabstract

`#include <abstractplatform.h>`

Inheritance diagram for Maliit::AbstractPlatform:
[legend]

## Public Member Functions

virtual | ~AbstractPlatform ()
virtual void | setupInputPanel (QWindow *window, Maliit::Position position)=0
virtual void | setInputRegion (QWindow *window, const QRegion &region)=0
virtual void | setApplicationWindow (QWindow *window, WId appWindowId)

## Constructor & Destructor Documentation

## ◆ ~AbstractPlatform()

Maliit::AbstractPlatform::~AbstractPlatform | ( |  | ) |

virtual

## Member Function Documentation

## ◆ setApplicationWindow()

void Maliit::AbstractPlatform::setApplicationWindow | ( | QWindow * | window,
|  | WId | appWindowId
| ) |  |

virtual

Reimplemented in Maliit::XCBPlatform.

## ◆ setInputRegion()

virtual void Maliit::AbstractPlatform::setInputRegion | ( | QWindow * | window,
|  | const QRegion & | region
| ) |  |

pure virtual

Implemented in Maliit::UnknownPlatform, Maliit::WaylandPlatform, and Maliit::XCBPlatform.

## ◆ setupInputPanel()

virtual void Maliit::AbstractPlatform::setupInputPanel | ( | QWindow * | window,
|  | Maliit::Position | position
| ) |  |

pure virtual

Implemented in Maliit::UnknownPlatform, Maliit::WaylandPlatform, and Maliit::XCBPlatform.

Copyright © 2011 Nokia Corporation |  | Maliit